const response = await fetch('https://service.pcibooking.net/api/resources/stylesheet/BrandCSS', {
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
console.log(response.status); // 204 on success
import requests
response = requests.delete(
'https://service.pcibooking.net/api/resources/stylesheet/BrandCSS',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code) # 204 on success
// Empty body. Returned on successful deletion.
// Empty body. The specified ResourceName does not exist in your account.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
CSS Stylesheets
Delete CSS Record
Delete a CSS record from your PCI Booking account.
DELETE
/
api
/
resources
/
stylesheet
/
{ResourceName}
const response = await fetch('https://service.pcibooking.net/api/resources/stylesheet/BrandCSS', {
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
console.log(response.status); // 204 on success
import requests
response = requests.delete(
'https://service.pcibooking.net/api/resources/stylesheet/BrandCSS',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code) # 204 on success
// Empty body. Returned on successful deletion.
// Empty body. The specified ResourceName does not exist in your account.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
Stylesheets Guide
Customize the appearance of hosted forms
Error Responses
| HTTP Status | Error Code | Description |
|---|---|---|
| 401 | -1003 | Not authenticated. The API key is missing or invalid. |
| 403 | -1003 | Not authorized. The API key does not have the CanConfigureSettings permission. |
| 404 | Resource not found. No CSS record exists with the specified ResourceName. |
Parameter Constraints
| Parameter | Constraint |
|---|---|
ResourceName | Required. Must contain only alphanumeric characters ([a-zA-Z0-9]+). |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The resource name assigned to this CSS record. You can view the list of CSS records in the user’s site or retrieve the full list via the API.
const response = await fetch('https://service.pcibooking.net/api/resources/stylesheet/BrandCSS', {
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
console.log(response.status); // 204 on success
import requests
response = requests.delete(
'https://service.pcibooking.net/api/resources/stylesheet/BrandCSS',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code) # 204 on success
Response
// Empty body. Returned on successful deletion.
// Empty body. The specified ResourceName does not exist in your account.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}

